Get rolling volume (JSON body)
curl --request POST \
--url https://api.glassmarkets.io/v2/metrics/rolling_volume/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"interval": "1h",
"lookback": "1-day"
}
'import requests
url = "https://api.glassmarkets.io/v2/metrics/rolling_volume/"
payload = {
"interval": "1h",
"lookback": "1-day"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({interval: '1h', lookback: '1-day'})
};
fetch('https://api.glassmarkets.io/v2/metrics/rolling_volume/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v2/metrics/rolling_volume/"
payload := strings.NewReader("{\n \"interval\": \"1h\",\n \"lookback\": \"1-day\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glassmarkets.io/v2/metrics/rolling_volume/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"interval\": \"1h\",\n \"lookback\": \"1-day\"\n}")
.asString();[
{
"timestamp": "2026-09-29T00:00:00Z",
"exchange": {
"slug": "binance",
"name": "Binance",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/630.png"
},
"asset": "BTC",
"pair": "BTC/USDT",
"twap_1m": 83430,
"twap_1h": 83460,
"twap_24h": 83380,
"vwap_1m": 83430,
"vwap_1h": 83460,
"vwap_24h": 83310,
"volume_1m": null,
"volume_1h": 45340000,
"volume_24h": 1791000000
}
]Market data
Get rolling volume (JSON body)
Same as GET /v2/metrics/rolling_volume/, with the parameters in a JSON body instead of the query string. List parameters accept a JSON array or a comma-separated string. type and filename stay in the query string.
POST
/
v2
/
metrics
/
rolling_volume
/
Get rolling volume (JSON body)
curl --request POST \
--url https://api.glassmarkets.io/v2/metrics/rolling_volume/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"interval": "1h",
"lookback": "1-day"
}
'import requests
url = "https://api.glassmarkets.io/v2/metrics/rolling_volume/"
payload = {
"interval": "1h",
"lookback": "1-day"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({interval: '1h', lookback: '1-day'})
};
fetch('https://api.glassmarkets.io/v2/metrics/rolling_volume/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v2/metrics/rolling_volume/"
payload := strings.NewReader("{\n \"interval\": \"1h\",\n \"lookback\": \"1-day\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glassmarkets.io/v2/metrics/rolling_volume/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"interval\": \"1h\",\n \"lookback\": \"1-day\"\n}")
.asString();[
{
"timestamp": "2026-09-29T00:00:00Z",
"exchange": {
"slug": "binance",
"name": "Binance",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/630.png"
},
"asset": "BTC",
"pair": "BTC/USDT",
"twap_1m": 83430,
"twap_1h": 83460,
"twap_24h": 83380,
"vwap_1m": 83430,
"vwap_1h": 83460,
"vwap_24h": 83310,
"volume_1m": null,
"volume_1h": 45340000,
"volume_24h": 1791000000
}
]Authorizations
metricsApiKeyAuthtokenAuth
Query Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
1M- Aggregated in 1 month periods.1w- Aggregated in 1 week periods.1d- Aggregated in 1 day periods.4h- Aggregated in 4 hour periods.1h- Aggregated in 1 hour periods.30m- Aggregated in 30 minute periods.15m- Aggregated in 15 minute periods.5m- Aggregated in 5 minute periods.1m- Aggregated in 1 minute periods.c- Will return all the data for the specified time range using the biggest periods possible.a- Will return the aggregate of the data for the specified time range.
Available options:
1M, 1w, 1d, 4h, 1h, 30m, 15m, 5m, 1m, c, a Relative window ending now. Can't be combined with time_start/time_end.
30-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
Available options:
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year Trading session to restrict the window to. Requires market_hours_days; can't be combined with time_start/time_end or lookback.
pre-market- pre-marketopening-bell- opening-bellmarket-hours- market-hoursclosing-bell- closing-bellafter-hours- after-hoursblue-ocean- blue-oceanweekend-hours- weekend-hours
Available options:
pre-market, opening-bell, market-hours, closing-bell, after-hours, blue-ocean, weekend-hours 
